Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0045332
TypeCategorySeverityReproducibilityDate SubmittedLast Update
backport[Openbravo ERP] 07. Sales managementmajoralways2020-10-26 15:472020-10-30 12:36
ReporterngarciaView Statuspublic 
Assigned Tocberner 
PriorityurgentResolutionfixedFixed in VersionPR20Q3.2
StatusclosedFix in branchFixed in SCM revision
ProjectionnoneETAnoneTarget VersionPR20Q3.2
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAugustoMauch
Web browser
ModulesCore
Regression levelProduction - Confirmed Stable
Regression date2019-08-30
Regression introduced in release3.0PR19Q3
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0045332: Sales Order header can be saved without Invoice Address although it is mandatory

DescriptionSales Order header can be saved without Invoice Address although it is mandatory.

Business Partner window also has a mandatory field in a "More Information" field group, it can be saved if empty and More Information is collapsed.
Steps To ReproduceAs group admin role:
   Create a customer
   Add a location to it
   Set it as Invoicing Address = 'N'

Create a Sales Order header
Do not expand the More Information section
Set the required fields (except Invoice Address)
Click on Lines tab and check the header is saved and it shouldn't
Open the More Information section
Click on Lines tab
Check the following error is shown:
   One or more fields contain illegal values, check the errors for each field.
This is correct

It is also reproducible in Business Partner window
- Create a new BP
- Open More Information collapsed field group
- Empty "Credit Line Limit" field
- Close More Information field group(collapse it)
- Click on the Customer subtab
- Check that the BP was saved, although the "Credit Line Limit" has invalid information.
Proposed SolutionValidate also hidden fields.
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
blocks defect 0045301 closedcberner Sales Order header can be saved without Invoice Address although it is mandatory 

-  Notes
(0123997)
hgbot (developer)
2020-10-29 11:00

Merge Request created: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/208 [^]
(0124061)
hgbot (developer)
2020-10-30 12:36

Merge request merged: https://gitlab.com/openbravo/product/openbravo/-/merge_requests/208 [^]
(0124062)
hgbot (developer)
2020-10-30 12:36

Directly closing issue as related merge request is already approved.

Repository: https://gitlab.com/openbravo/product/openbravo [^]
Changeset: 71477140859701da7bbaf84a8491dd3dcff7349d
Author: Cristian Berner <cristian.berner@openbravo.com>
Date: 2020-10-29T10:59:12+01:00
URL: https://gitlab.com/openbravo/product/openbravo/-/commit/71477140859701da7bbaf84a8491dd3dcff7349d [^]

Fixes ISSUE-45332: Record can be saved with missing mandatory field data

If a mandatory field in a collapsed field group had no value or invalid
values, the record could be saved by the auto-save when changing focus
to a child tab.

The approach taken here is to also validate hiddenFields that are not
present because of being in a collapsed field group.

form.validate method can be found in smartclient DynamicForm and it
accepts as first argument a boolean indicating to validate or no hidden
fields, it is now set to true on ob-view-form, fixing this issue.

---
M modules/org.openbravo.client.application/web/org.openbravo.client.application/js/form/ob-view-form.js
---

- Issue History
Date Modified Username Field Change
2020-10-29 10:56 cberner Type defect => backport
2020-10-29 10:56 cberner Target Version => PR20Q3.2
2020-10-29 11:00 hgbot Note Added: 0123997
2020-10-30 12:36 hgbot Resolution open => fixed
2020-10-30 12:36 hgbot Status scheduled => closed
2020-10-30 12:36 hgbot Note Added: 0124061
2020-10-30 12:36 hgbot Fixed in Version => PR20Q3.2
2020-10-30 12:36 hgbot Note Added: 0124062


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker